Subject: Re: proto v2 fixes for maint (was Re: Preparing for a Git 2.26.3 release)

From: Michal Suchánek <[email-masked]>
Date: Tue, 28 Apr 2020 20:16:57 +0200

On Tue, 28 Apr 2020 10:25:09 -0700
Junio C Hamano <[email-masked]> wrote:

> Jonathan Nieder <[email-masked]> writes:
> 
> > Since then we've heard about a few related (non-security) regressions.
> > I'd like to avoid giving people an excuse not to upgrade, so this
> > morning[1] I promised a discussion of what I'd like to see in a 2.26.3
> > release to help with that.  
> 
> Thanks for starting this.  
> 
> I'll have chances to comment on other areas you listed, but since
> I've answered on v2-proto stuff to somebody else already...
> 
> > The protocol version change was painful for users that fetch in the
> > same repo from linux-next and other linux remotes[5].  The problem has
> > been isolated and fixed, so we could either apply the revert or apply
> > the fixes[6].  
> 
> The demote patch hasn't even hit 'master'.  
> 
> My preference is to merge the demotion down to 'master' and 'maint'
> while merging down this fix to 'next' and to 'master'.

I understand that this issue puts v2 protocol into question and you
want to go back to v0 as default. Why not merge the fixes for v2,
though? Even if it is not the default keeping it broken in maint does
not sound great.

Thanks

Michal